package com.ruoyi.flowable.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.invest.domain.*;
import com.ruoyi.invest.domain.vo.ProjectInvestigateVo;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * 项目池Service接口
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public interface IInvestigateService
{
    List<ProjectInvestigateVo> selectAllInvestigateList(TProjectInvestigate tProjectInvestigate);
    List<ProjectInvestigateVo> getMyTaskList(String userId, TProjectInvestigate tProjectInvestigate);
    List<ProjectInvestigateVo> getMyDoneTaskList(String userId, TProjectInvestigate tProjectInvestigate);
    List<ProjectInvestigateVo> getMyList(String userId,TProjectInvestigate tProjectInvestigate);

    TProjectInvestigate selectTProjectInvestigateByProcInstId(String pInstId);
    /**
     * 新增投决申请
     *
     * @param tProjectInvestigate 投决申请
     * @return 结果
     */

    AjaxResult start(TProjectInvestigate tProjectInvestigate);
    AjaxResult complete(TProjectInvestigate tProjectInvestigate, TProjectInvestigatePerson tProjectInvestigatePerson, FlowBaseInfo flow, HttpServletRequest request) throws Exception ;

    TProjectMeeting selectTProjectMeetingByProcInstId(String pInstId);

    /**
     * 根据pInstId查询汇总分数和平均分数
     * @param pInstId
     * @return
     */
    Map<String,String> selectSumScore(String pInstId);


}
